diff -r c2f2fb1df9ed -r 2d81a4c055f3 scripts/plot/draw/plotyy.m
--- a/scripts/plot/draw/plotyy.m	Thu Oct 24 22:33:37 2019 +0200
+++ b/scripts/plot/draw/plotyy.m	Mon Oct 28 17:47:06 2019 +0100
@@ -105,7 +105,7 @@
   if (nargin < 7)
     fun2 = fun1;
   endif
-
+  
   xlim = [min([x1(:); x2(:)]), max([x1(:); x2(:)])];
 
   axes (ax(1));
@@ -128,7 +128,7 @@
   if (strcmp (get (ax(1), "__autopos_tag__"), "subplot"))
     set (ax(2), "__autopos_tag__", "subplot");
   else
-    set (ax, "activepositionproperty", "position");
+    set (ax, "activepositionproperty", "outerposition");
   endif
 
   ## Don't replace axis which has colororder property already modified
@@ -170,20 +170,13 @@
   set (t2, "deletefcn", {@deleteplotyy, ax(1), t1});
 
   ## Add cross-listeners so a change in one axes' attributes updates the other.
-  addlistener (ax(1), "position", {@update_position, ax(2)});
-  addlistener (ax(2), "position", {@update_position, ax(1)});
-  addlistener (ax(1), "outerposition", {@update_position, ax(2)});
-  addlistener (ax(2), "outerposition", {@update_position, ax(1)});
-  addlistener (ax(1), "looseinset", {@update_position, ax(2)});
-  addlistener (ax(2), "looseinset", {@update_position, ax(1)});
-  addlistener (ax(1), "view", {@update_position, ax(2)});
-  addlistener (ax(2), "view", {@update_position, ax(1)});
-  addlistener (ax(1), "plotboxaspectratio", {@update_position, ax(2)});
-  addlistener (ax(2), "plotboxaspectratio", {@update_position, ax(1)});
-  addlistener (ax(1), "plotboxaspectratiomode", {@update_position, ax(2)});
-  addlistener (ax(2), "plotboxaspectratiomode", {@update_position, ax(1)});
-  addlistener (ax(1), "nextplot", {@update_nextplot, ax(2)});
-  addlistener (ax(2), "nextplot", {@update_nextplot, ax(1)});
+  props = {"units", "looseinset", "position", "xlim", "view", ...
+           "plotboxaspectratio", "plotboxaspectratiomode", "nextplot"};
+
+  for ii = 1:numel (props)
+    addlistener (ax(1), props{ii}, {@update_prop, ax(2), props{ii}});
+    addlistener (ax(2), props{ii}, {@update_prop, ax(1), props{ii}});
+  endfor
 
   ## Store the axes handles for the sister axes.
   if (! isprop (ax(1), "__plotyy_axes__"))
@@ -222,40 +215,14 @@
 
 endfunction
 
-function update_position (h, ~, ax2)
+function update_prop (h, ~, ax2, prop)
   persistent recursion = false;
-
   ## Don't allow recursion
-  if (! recursion)
+  if (! recursion && all (ishghandle ([h, ax2])))
     unwind_protect
       recursion = true;
-      view = get (h, "view");
-      oldview = get (ax2, "view");
-      plotboxaspectratio = get (h, "plotboxaspectratio");
-      oldplotboxaspectratio = get (ax2, "plotboxaspectratio");
-      plotboxaspectratiomode = get (h, "plotboxaspectratiomode");
-      oldplotboxaspectratiomode = get (ax2, "plotboxaspectratiomode");
-
-      if (strcmp (get (h, "activepositionproperty"), "position"))
-        position = get (h, "position");
-        oldposition = get (ax2, "position");
-        if (! (isequal (position, oldposition) && isequal (view, oldview)))
-          set (ax2, "position", position, "view", view);
-        endif
-      else
-        outerposition = get (h, "outerposition");
-        oldouterposition = get (ax2, "outerposition");
-        if (! (isequal (outerposition, oldouterposition)
-               && isequal (view, oldview)))
-          set (ax2, "outerposition", outerposition, "view", view);
-        endif
-      endif
-
-      if (! (isequal (plotboxaspectratio, oldplotboxaspectratio)
-             && isequal (plotboxaspectratiomode, oldplotboxaspectratiomode)))
-        set (ax2, "plotboxaspectratio", plotboxaspectratio,
-                  "plotboxaspectratiomode", plotboxaspectratiomode);
-      endif
+      val = get (h, prop);
+      set (ax2, prop, get (h, prop));
     unwind_protect_cleanup
       recursion = false;
     end_unwind_protect
